---
name: 🐛 Bug Report
about: Only if something isn't working as expected 🤔, otherwise please open a discussion.
assignees: ArminJo
---

**Issues are expected to lead to changes in the repository, like code or documentation improvements or bug fixes.**<br/>
If you have handling problems or questions, consider to **open a [discussion](https://github.com/ArminJo/ServoEasing/discussions)** instead of an issue.

## Bug Report

### Board
* [ ] Arduino ATmega328* board (UNO, Nano)
* [ ] Arduino ATmega2560 board (Mega)
* [ ] Arduino ATmega32U4 board (Leonardo)
* [ ] Arduino megaAVR board (NanoEvery)
* [ ] Arduino SAM board (Due)
* [ ] Arduino SAMD board (Zero, MKR*)
* [ ] ESP8266 board
* [ ] ESP32 board
* [ ] STM32 board
* [ ] Apollo3 board
* [ ] Teensy board
* [ ] Other - please specify

<!-- Please specify board name if not included in board selection -->

### IDE
* [ ] Arduino IDE
* [ ] Arduino Web Editor
* [ ] Arduino Pro IDE
* [ ] Sloeber IDE
* [ ] PlatformIO IDE
* [ ] Other - please specify


### Example to reproduce the issue
* [ ] Simple
* [ ] OneServo
* [ ] TwoServos
* [ ] AsymmetricEasing
* [ ] PCA9685_Expander
* [ ] PCA9685_ExpanderAndServo
* [ ] PCA9685_ExpanderFor32Servos
* [ ] ContinuousRotatingServo
* [ ] Other

### Version
* [ ] Yes I use the [latest repo version](https://github.com/ArminJo/ServoEasing/archive/master.zip) and verified this!
* [ ] Other - please specify

Please delete all unchecked lines above :-)

### Pin(s) used for servo, if not default

### Current behavior
<!-- Paste the code or repository link, if applicable. -->

<!-- Add a the serial output which indicates the error happened. -->

<!-- Add a clear and concise description of the behavior. -->

### Expected behavior
<!-- Add a clear and concise description of what you expected to happen. -->

### Additional context
<!-- (Optional) Add any other context about the problem here. -->